![HDC Icontrols](http://www.icontrols.co.kr/assets/img/company/incon_ci_ko.png)

# Info

카카오홈 서비스와 연동하는 카카오 스마트홈 단지 서버 프로젝트.


# 서비스 등록
## Linux
1. `/service/bridge` 에 export한 `bridge.jar` 파일과 `application.dat` 파일을 업로드 합니다.
2. 서비스를 등록합니다.
    ```sh
    $ cd /etc/systemd/system
    $ sudo vi bridge.service
    ```
    ```sh
    [Unit]
    Description=Event Bridge

    [Service]
    Type=simple
    User=valley
    ExecStart=/usr/bin/java -jar /service/bridge/bridge.jar
    WorkingDirectory=/service

    [Install]
    WantedBy=multi-user.target
    ```
3. 서비스 데몬을 새로고침 합니다. 
    ```sh
    $ sudo systemctl daemon-reload
    ```
4. 서비스를 시작합니다.
    ```sh
    $ sudo systemctl start bridge.service
    ```

## Windows

- 추후 작성예정

