package com.icontrols.kakao.common;

public final class TYPE {
	public enum REQ_TYPE {
		
		DISCOVER	("Discover", 			"제어 가능한 Thing 목록을 제공한다."),
		UPDATESTATE	("UpdateState", 		"요청 받은  Thing에 대한 상태를 변경한다."),
		QUERYSTATE	("QueryState", 			"현재 Thing 상태를 조회한다."),
		GRANTAUTH	("GrantAuthorization", 	"유저가 연동을 마치면 카카오가 보내주는 타입."),
		REPORTSTATE	("ReportState", 		"기기의 상태가 변경되어 이벤트를 받았을때 카카오 home에 전달하는 타입");
		
		private String typeName;
		private String desc;
		
		private REQ_TYPE(String typeName, String desc) {
			this.typeName = typeName;
			this.desc = desc;
		}

		public String getTypeName() {
			return typeName;
		}

		public void setTypeName(String typeName) {
			this.typeName = typeName;
		}

		public String getDesc() {
			return desc;
		}

		public void setDesc(String desc) {
			this.desc = desc;
		}
		
	}
	public enum XML_LIGHT {
		LIVING_LIGHT(0, "livinglight"), LIGHT01(1, "light01"), LIGHT02(2, "light02"), LIGHT03(3, "light03"),
		LIGHT04(4, "light04"), LIGHT05(5, "light05"), LIGHT06(6, "light06"), LIGHT07(7, "light07"),
		LIGHT08(8, "light08");

		private int mIdx;
		private String mContent;

		private XML_LIGHT(int idx, final String txt) {
			this.mIdx = idx;
			this.mContent = txt;
		}

		public String getContents() {
			return this.mContent;
		}

		public int getIndex() {
			return this.mIdx;
		}
	}

	public enum XML_ELECT {
		ELECTRIC01(1, "electric01"), ELECTRIC02(2, "electric02"), ELECTRIC03(3, "electric03"),
		ELECTRIC04(4, "electric04"), ELECTRIC05(5, "electric05"), ELECTRIC06(6, "electric06"),
		ELECTRIC07(7, "electric07"), ELECTRIC08(8, "electric08"), ELECTRIC09(9, "electric09");

		private int mIdx;
		private String mContent;

		private XML_ELECT(int idx, final String txt) {
			this.mIdx = idx;
			this.mContent = txt;
		}

		public String getContents() {
			return this.mContent;
		}

		public int getIndex() {
			return this.mIdx;
		}

	}

}
