package com.icontrols.kakao.common;

public class KEY_INFO {
	// kakao request response 시 http body의 key 값
	public static final String 	HTTP_KEY_ID 			= "id",
								HTTP_KEY_TYPE 			= "type",
								HTTP_KEY_AUTHORIZATION 	= "authorization",
								HTTP_KEY_VERSION 		= "version",
								HTTP_KEY_METADATA		= "metadata",
								HTTP_KEY_UNREACHABLEIDS	= "unreachableIds",
								HTTP_KEY_BODY 			= "body",
								HTTP_KEY_ERROR 			= "error",
								HTTP_KEY_ACCESS_TOKEN	= "access_token",
								HTTP_KEY_REFRESH_TOKEN	= "refresh_token",
								HTTP_KEY_TOKEN_TYPE		= "token_type",
								HTTP_KEY_EXPIRES_IN		= "expires_in",
								HTTP_KEY_DELETEDIDS		= "deletedIds"
								;
	
	// kakao request response Body의 key 값
	public static final String 	BODY_KEY_ACCESS_TOKEN	= "accessToken",
								BODY_KEY_REFRESH_TOKEN	= "refreshToken",
								BODY_KEY_EXPIRES_IN		= "expiresIn",
								BODY_KEY_ENDPOINT_ID	= "endpointId",
								BODY_KEY_ENDPOINT_IDS	= "endpointIds",
								BODY_KEY_NAME			= "name",
								BODY_KEY_DISPLAY_TYPE	= "displayType",
								BODY_KEY_CAPABILITIES	= "capabilities",
								BODY_KEY_STATE			= "state",
								BODY_KEY_ADDITIONALPROP	= "additionalProperties",
								BODY_KEY_ROOMPRESETNAME	= "roomPresetName",
								BODY_KEY_CAPABILITY_NAME= "capabilityName",
								BODY_KEY_DESIRED		= "desired"
								;
	
	// error request response의 key 값
	public static final String 	ERROR_KEY_CODE 		= "code",
								ERROR_KEY_MESSAGE	= "message";
}
  