package com.icontrols.kakao.common.utils;

import org.w3c.dom.Node;

public class XmlUtil {
	/**
	 * XML의 ID로 뽑아낸 노드에서 원하는 속성 key로 값을 리턴한다.
	 * @param _node
	 * @param _itemName
	 * @return
	 */
	public static String getAttributeWithItem(Node _node, String _itemName) {
		if(null == _itemName || _itemName.length() == 0) return null;
		
		
		return _node.getAttributes().getNamedItem(_itemName).getTextContent();
	}
	
	public static String getElemetTextValue(Node _node) {
		if(_node == null) return null;
		
		return _node.getTextContent();
	}
}
