package com.icontrols.kakao.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "tbl_parcel_info")
public class ParcelInfo implements Serializable {
	private static final long serialVersionUID = 3239676041983738509L;
	
	@Id
	@Column(name = "dongho_id")
	private String donghoId;
	
	@Column(name = "quantity")
	private int quantity;
	
	@Column(name = "lst_upt_evt")
	private String lstUptEvt;
	
	@Column(name = "lst_upt_time")
	private String lstUptTime;

	
	public ParcelInfo() {
		super();
	}

	public ParcelInfo(String donghoId, int quantity, String lstUptEvt, String lstUptTime) {
		super();
		this.donghoId = donghoId;
		this.quantity = quantity;
		this.lstUptEvt = lstUptEvt;
		this.lstUptTime = lstUptTime;
	}

	public String getDonghoId() {
		return donghoId;
	}

	public void setDonghoId(String donghoId) {
		this.donghoId = donghoId;
	}

	public int getQuantity() {
		return quantity;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	public String getLstUptEvt() {
		return lstUptEvt;
	}

	public void setLstUptEvt(String lstUptEvt) {
		this.lstUptEvt = lstUptEvt;
	}

	public String getLstUptTime() {
		return lstUptTime;
	}

	public void setLstUptTime(String lstUptTime) {
		this.lstUptTime = lstUptTime;
	}

	@Override
	public String toString() {
		return "ParcelInfo [donghoId=" + donghoId + ", quantity=" + quantity + ", lstUptEvt=" + lstUptEvt
				+ ", lstUptTime=" + lstUptTime + "]";
	}
	
	
}
