package com.icontrols.kakao.repo;

import java.util.List;

import org.springframework.data.repository.CrudRepository;

import com.icontrols.kakao.entity.ThingsInfo;

public interface ThingsInfoRepository extends CrudRepository<ThingsInfo, Long> {
	List<ThingsInfo> findByDongAndHo(String dong, String ho);
	
	List<ThingsInfo> findByDongAndHoAndEndpointId(String dong, String ho, String endpointId);
	
	List<ThingsInfo> findByDongAndHoAndEndpointIdAndModelId(String dong, String ho, String endpointId, String modelId);
}
