package com.icontrols.kakao.socket.utils;

public class XMLGenerator {

	public static String MakeXMLHeader(int Dong, int Ho, String kind) {
		// XML Header
		String targetIP = IPGenerator.getIPFromDongHo(Dong, Ho);
		StringBuffer sb = new StringBuffer();
		sb.append("<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n")
		.append("<imap ver = \"1.0\" address = \"").append(targetIP).append("\" sender = \"").append(Dong).append("동").append(Ho).append("호").append("\">\r\n")
		.append("   <service type = \"request\" name = \"").append(kind).append("\">\r\n")
		.append("      <target name = \"mobile\" id = \"1\" msg_no = \"").append(XMLConstants.getImapMsgNum()).append("\" />\r\n")
		;

		return sb.toString();
	}
	public static String MakeXMLHeaderForSUBS(String kind) {
		// XML Header
		String retXML = null;
		retXML = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n"
				+ "<imap ver = \"1.0\" address = \"10.0.1.1\" sender = \"valley\">\r\n"
				+ "   <service type = \"request\" name = \"" + kind + "\">\r\n";

		return retXML;
	}
	
	public static String MakeXMLHeaderForNotice(String kind) {
		// XML Header
		String retXML = null;
		retXML = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n"
				+ "<imap ver = \"1.0\" address = \"10.0.1.1\" sender = \"valley\">\r\n"
				+ "   <service type = \"notice\" name = \"" + kind + "\">\r\n";

		return retXML;
	}

	public static String MakeXMLTail() {
		String retXML = null;
		retXML = "   </service>\r\n" + "</imap>";
		return retXML;
	}

}
